org.apache.solr.common.cloud

## Class SolrZooKeeper

- java.lang.Object
- - org.apache.zookeeper.ZooKeeper
  - - org.apache.solr.common.cloud.SolrZooKeeper

All Implemented Interfaces:
  AutoCloseable

    public class SolrZooKeeper
    extends org.apache.zookeeper.ZooKeeper

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.zookeeper.ZooKeeper

`org.apache.zookeeper.ZooKeeper.States, org.apache.zookeeper.ZooKeeper.WatchRegistration`

### Field Summary

### Fields inherited from class org.apache.zookeeper.ZooKeeper

`cnxn, hostProvider, SECURE_CLIENT, watchManager, ZOOKEEPER_CLIENT_CNXN_SOCKET`

### Constructor Summary

Constructors
Constructor and Description
`SolrZooKeeper(String connectString, int sessionTimeout, org.apache.zookeeper.Watcher watcher)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `closeCnxn()`
`org.apache.zookeeper.ClientCnxn` `getConnection()`
`SocketAddress` `getSocketAddress()`

### Methods inherited from class org.apache.zookeeper.ZooKeeper

`addAuthInfo, close, create, create, create, create, create, create, createConnection, defaultWatchManager, delete, delete, exists, exists, exists, exists, getACL, getACL, getChildren, getChildren, getChildren, getChildren, getChildren, getChildren, getChildren, getChildren, getChildWatches, getClientConfig, getConfig, getConfig, getConfig, getConfig, getData, getData, getData, getData, getDataWatches, getExistWatches, getSaslClient, getSessionId, getSessionPasswd, getSessionTimeout, getState, getTestable, internalReconfig, internalReconfig, internalReconfig, internalReconfig, multi, multi, multiInternal, multiInternal, reconfig, reconfig, reconfig, reconfig, register, removeAllWatches, removeAllWatches, removeWatches, removeWatches, setACL, setACL, setData, setData, sync, testableLocalSocketAddress, testableRemoteSocketAddress, testableWaitForShutdown, toString, transaction, updateServerList`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SolrZooKeeper

    public SolrZooKeeper(String connectString,
                         int sessionTimeout,
                         org.apache.zookeeper.Watcher watcher)
                  throws IOException

Throws:
  `IOException`

### Method Detail

#### getConnection

    public org.apache.zookeeper.ClientCnxn getConnection()

#### getSocketAddress

    public SocketAddress getSocketAddress()

#### closeCnxn

    public void closeCnxn()

#### close

    public void close()
               throws InterruptedException

Specified by:
  `close` in interface `AutoCloseable`
Overrides:
  `close` in class `org.apache.zookeeper.ZooKeeper`
Throws:
  `InterruptedException`